/* FRONTEND */


/*
 * Base structure
 */


/* Move down content because we have a fixed navbar that is 50px tall */


/*
 * Typography
 */

.user-image {
    position: relative;
    width: calc(100% - 15px);
    /* desired width */
}

.user-image::before {
    content: "";
    display: block;
    padding-top: 100%;
    /* initial ratio of 1:1*/
}

table.nmpd-grid {
    background: #ccc;
    padding: 15px;
    margin: 25px 15px;
}

button.numero {
    background: none;
    border: 1px solid #000;
    padding: 5px 10px;
    margin: 0px;
}

button.del,
button.clear,
button.done,
button.cancel {
    border: 1px solid #000;
    margin: 0px;
    width: 100%;
    padding: 5px;
}

.form-control,
.btn {
    border-radius: 0px;
}

.status-time {
    bottom: 0px;
    padding: 0 15px;
}

@media (max-width:900px) {
    .sidebar .status-item {
        font-size: 60%;
        padding: 10px 5px;
    }
}

@media (max-width:1024px) {
    .status-time {
        position: relative;
    }
}

@media (min-width:1025px) {
    .status-time {
        position: absolute;
    }
}

h1 {
    margin-bottom: 20px;
    padding-bottom: 9px;
    border-bottom: 1px solid #eee;
}

.main-container {
    margin-top: auto;
}

.main-container main {
    padding: 0 0.25rem;
}

#users {
    display: table;
    padding: 0;
}

.user {
    padding: 0 0.5rem;
    margin-bottom: 0.5rem;
}

@media (max-width:320px) {
    .user {
        width: 100%;
        -ms-flex: 0 0 100%;
        flex: 0 0 100%;
        max-width: 100%;
    }
}

@media (min-width:321px) and (max-width:640px) {
    .user {
        width: 50%;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
}

@media (min-width:641px) and (max-width:768px) {
    .user {
        width: 33.3333%;
        -ms-flex: 0 0 33.3333%;
        flex: 0 0 33.3333%;
        max-width: 33.3333%;
    }
}

@media (min-width:769px) and (max-width:1199px) {
    .user {
        width: 25%;
        -ms-flex: 0 0 25%;
        flex: 0 0 25%;
        max-width: 25%;
    }
}

@media (min-width:1200px) and (max-width:1800px) {
    .user-status .btn {
        margin: 0 auto;
        padding: 0.5rem 5px;
    }

    .user {
        width: 16.6666%;
        -ms-flex: 0 0 16.6666%;
        flex: 0 0 16.6666%;
        max-width: 16.6666%;
    }
}

@media (min-width:1801px) {
    .user {
        width: 10%;
        -ms-flex: 0 0 10%;
        flex: 0 0 10%;
        max-width: 10%;
    }
}


/*
 * Sidebar
 */

.sidebar {
    position: fixed;
    top: 56px;
    bottom: 0;
    left: 0;
    z-index: 1000;
    padding: 1rem 0;
    overflow-x: hidden;
    overflow-y: auto;
    /* Scrollable contents if viewport is shorter than content. */
    border-right: 1px solid #eee;
}


/* Sidebar navigation */

.sidebar {
    padding-left: 0;
    padding-right: 0;
}

.sidebar .nav {
    margin-bottom: 20px;
}

.sidebar .nav-item {
    width: 100%;
}

.sidebar .nav-item+.nav-item {
    margin-left: 0;
}

.sidebar .nav-link {
    border-radius: 0;
}


/*
 * Dashboard
 */


/* Placeholders */

.placeholders {
    padding-bottom: 3rem;
}

.placeholder img {
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
}

.top-pos {
    background: #EEEEEE;
    display: none;
}

.sidebar ul,
.navbar-collapse ul {
    list-style: none;
    padding: 0;
}

i.fa.fa-refresh,
i.fa.fa-user {
    margin: 5px 0;
}

a:not([href]):not([tabindex]):focus,
a:not([href]):not([tabindex]):hover {
    color: #222 !important;
    text-decoration: none;
}

.status-item {
    border: 1px solid #eee;
    border-radius: 0px;
    display: block;
    margin-bottom: 10px;
    margin-left: auto;
    margin-right: auto;
    width: calc(100% - 15px);
    padding: 5px 5px;
    font-size: 80%;
    text-transform: uppercase;
    color: #fff !important;
    font-weight: 500;
}

.navbar-toggleable-md .status-time {
    display: none;
}

.status-item:hover,
.status-item:active {
    background: #eee !important;
    border: 1px solid #ccc;
    color: #999 !important;
}

.status-item i {
    font-family: fontAwesome;
    font-style: normal;
    float: left;
}

.time {
    font-weight: bold;
    font-size: 80%;
}


/* USERS */

.user-image {
    padding: 0;
    z-index: 300;
    background-position: top center;
    background-size: 100% auto;
    border-radius: 8%;
    background-color: transparent;
    background-repeat: no-repeat;
    display: block;
    margin-left: 8px;
    margin-right: 8px;
}

.user-details {
    text-transform: uppercase;
}

.user-details h3 {
    font-size: 1rem;
    margin: 5px 0px 0px 0px;
}

.user-details h4 {
    font-size: 0.9rem;
    margin: 5px 0px 0px 0px;
    font-weight: bold;
    color: #aaa;
}

.user-status {
    padding: 0px;
    margin: 5px 0px;
}

.user {
    float: left;
    text-align: center;
}

a.user-item {
    background: #eee;
    display: inline-block;
    overflow: visible !important;
    padding: 0px;
    margin: 0;
    width: 100%;
    position: relative;
}